<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('compras', function (Blueprint $table) {
            $table->string('dni')->nullable()->after('payment_method');
            $table->string('telefono')->nullable()->after('dni');
            $table->string('nombre_apellido')->nullable()->after('telefono');
            $table->string('email')->nullable()->after('nombre_apellido');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('compras', function (Blueprint $table) {
            $table->dropColumn(['dni', 'telefono', 'nombre_apellido', 'email']);
        });
    }
};
